## maps 2.0-3

=== DESCRIPTION ===
Package: maps
Title: Draw Geographical Maps
Version: 2.0-3
Date: 2003-10-07
Author: Original S code by Richard A. Becker and Allan R. Wilks.
	R version by Ray Brownrigg <ray@mcs.vuw.ac.nz>
        Enhancements by Thomas P Minka <minka@stat.cmu.edu>
Description: Display of maps.  Projection code and larger maps are in
             separate packages (mapproj and mapdata).
Depends: R (>= 1.7.0)
License: GPL2
Maintainer: Ray Brownrigg <ray@mcs.vuw.ac.nz>

=== src/Makefile ===
#-*- Makefile -*-
.SUFFIXES: .G .L .N .gon .line .n

PKGNAME = maps
CP = cp
RM = rm

OBJS = mapget.o		\
	smooth.o	\
	thin.o

GDATA = county.G state.G usa.G nz.G world.G world2.G 
LDATA = county.L state.L usa.L nz.L world.L world2.L 
NDATA = county.N state.N usa.N nz.N world.N world2.N 

all: $(PKGNAME).so Gmake Lmake $(LDATA) $(GDATA) $(NDATA)

.line.L:
	./Lmake 0 s b ${*}.line ${*}.linestats ../inst/mapdata/${*}.L

.gon.G:
	./Gmake b ${*}.gon ${*}.gonstats ../inst/mapdata/${*}.G ../inst/mapdata/${*}.L

.n.N:
	$(CP) ${*}.n ../inst/mapdata/${*}.N

$(PKGNAME).so: $(OBJS)
	$(R_HOME)/bin/R CMD SHLIB -o $(PKGNAME).so $(OBJS)

clean:
	$(RM) $(PKGNAME).so $(OBJS) Gmake Lmake ../inst/mapdata/*

## maps 2.0-4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: maps
 Title: Draw Geographical Maps
-Version: 2.0-3
-Date: 2003-10-07
+Version: 2.0-4
+Date: 2003-10-08
 Author: Original S code by Richard A. Becker and Allan R. Wilks.
 	R version by Ray Brownrigg <ray@mcs.vuw.ac.nz>
         Enhancements by Thomas P Minka <minka@stat.cmu.edu>

## maps 2.0-5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: maps
 Title: Draw Geographical Maps
-Version: 2.0-4
-Date: 2003-10-08
+Version: 2.0-5
+Date: 2003-10-09
 Author: Original S code by Richard A. Becker and Allan R. Wilks.
 	R version by Ray Brownrigg <ray@mcs.vuw.ac.nz>
         Enhancements by Thomas P Minka <minka@stat.cmu.edu>

## maps 2.0-6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: maps
 Title: Draw Geographical Maps
-Version: 2.0-5
-Date: 2003-10-09
+Version: 2.0-6
+Date: 2003-10-10
 Author: Original S code by Richard A. Becker and Allan R. Wilks.
 	R version by Ray Brownrigg <ray@mcs.vuw.ac.nz>
         Enhancements by Thomas P Minka <minka@stat.cmu.edu>

=== src/Makefile ===
--- 
+++ 
@@ -4,6 +4,7 @@
 PKGNAME = maps
 CP = cp
 RM = rm
+ECHO = echo
 
 OBJS = mapget.o		\
 	smooth.o	\
@@ -27,5 +28,17 @@
 $(PKGNAME).so: $(OBJS)
 	$(R_HOME)/bin/R CMD SHLIB -o $(PKGNAME).so $(OBJS)
 
+world2.line: world.line
+	@$(ECHO) "Converting world to world2"
+	$(AWK) -f convert.awk < world.line > world2.line
+	$(CP) world.linestats world2.linestats
+
+world2.gon: world.gon
+	$(CP) world.gon world2.gon
+	$(CP) world.gonstats world2.gonstats
+
+world2.n: world.n
+	$(CP) world.n world2.n
+
 clean:
-	$(RM) $(PKGNAME).so $(OBJS) Gmake Lmake ../inst/mapdata/*
+	$(RM) $(PKGNAME).so $(OBJS) Gmake Lmake ../inst/mapdata/* world2.*

## maps 2.0-7

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: maps
 Title: Draw Geographical Maps
-Version: 2.0-6
-Date: 2003-10-10
+Version: 2.0-7
+Date: 2003-10-13
 Author: Original S code by Richard A. Becker and Allan R. Wilks.
 	R version by Ray Brownrigg <ray@mcs.vuw.ac.nz>
         Enhancements by Thomas P Minka <minka@stat.cmu.edu>

## maps 2.0-8

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: maps
 Title: Draw Geographical Maps
-Version: 2.0-7
-Date: 2003-10-13
+Version: 2.0-8
+Date: 2003-10-29
 Author: Original S code by Richard A. Becker and Allan R. Wilks.
 	R version by Ray Brownrigg <ray@mcs.vuw.ac.nz>
         Enhancements by Thomas P Minka <minka@stat.cmu.edu>

=== src/Makefile ===
--- 
+++ 
@@ -41,4 +41,4 @@
 	$(CP) world.n world2.n
 
 clean:
-	$(RM) $(PKGNAME).so $(OBJS) Gmake Lmake ../inst/mapdata/* world2.*
+	$(RM) -f $(PKGNAME).so $(OBJS) Gmake Lmake ../inst/mapdata/* world2.*

## maps 2.0-9

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: maps
 Title: Draw Geographical Maps
-Version: 2.0-8
-Date: 2003-10-29
+Version: 2.0-9
+Date: 2003-11-06
 Author: Original S code by Richard A. Becker and Allan R. Wilks.
 	R version by Ray Brownrigg <ray@mcs.vuw.ac.nz>
         Enhancements by Thomas P Minka <minka@stat.cmu.edu>

## maps 2.0-10

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: maps
 Title: Draw Geographical Maps
-Version: 2.0-9
-Date: 2003-11-06
+Version: 2.0-10
+Date: 2003-11-13
 Author: Original S code by Richard A. Becker and Allan R. Wilks.
 	R version by Ray Brownrigg <ray@mcs.vuw.ac.nz>
         Enhancements by Thomas P Minka <minka@stat.cmu.edu>

## maps 2.0-11

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: maps
 Title: Draw Geographical Maps
-Version: 2.0-10
-Date: 2003-11-13
+Version: 2.0-11
+Date: 2003-11-14
 Author: Original S code by Richard A. Becker and Allan R. Wilks.
 	R version by Ray Brownrigg <ray@mcs.vuw.ac.nz>
         Enhancements by Thomas P Minka <minka@stat.cmu.edu>

## maps 2.0-12

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: maps
 Title: Draw Geographical Maps
-Version: 2.0-11
-Date: 2003-11-14
+Version: 2.0-12
+Date: 2003-11-21
 Author: Original S code by Richard A. Becker and Allan R. Wilks.
 	R version by Ray Brownrigg <ray@mcs.vuw.ac.nz>
         Enhancements by Thomas P Minka <minka@stat.cmu.edu>

## maps 2.0-13

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: maps
 Title: Draw Geographical Maps
-Version: 2.0-12
-Date: 2003-11-21
+Version: 2.0-13
+Date: 2003-12-12
 Author: Original S code by Richard A. Becker and Allan R. Wilks.
 	R version by Ray Brownrigg <ray@mcs.vuw.ac.nz>
         Enhancements by Thomas P Minka <minka@stat.cmu.edu>

=== src/Makefile ===
#-*- Makefile -*-
.SUFFIXES: .G .L .N .gon .line .n

PKGNAME = maps
CP = cp
RM = rm
ECHO = echo

OBJS = mapget.o		\
	smooth.o	\
	thin.o

GDATA = county.G state.G usa.G nz.G world.G world2.G 
LDATA = county.L state.L usa.L nz.L world.L world2.L 

all: $(PKGNAME).so Gmake Lmake $(LDATA) $(GDATA)

.line.L:
	./Lmake 0 s b ${*}.line ${*}.linestats ../inst/mapdata/${*}.L

.gon.G:
	./Gmake b ${*}.gon ${*}.gonstats ../inst/mapdata/${*}.G ../inst/mapdata/${*}.L
	$(CP) ${*}.n ../inst/mapdata/${*}.N	# needed here for Mac

$(PKGNAME).so: $(OBJS)
	$(R_HOME)/bin/R CMD SHLIB -o $(PKGNAME).so $(OBJS)

world2.line: world.line
	@$(ECHO) "Converting world to world2"
	$(AWK) -f convert.awk < world.line > world2.line
	$(CP) world.linestats world2.linestats

world2.gon: world.gon world.n
	$(CP) world.gon world2.gon
	$(CP) world.gonstats world2.gonstats
	$(CP) world.n world2.n

clean:
	$(RM) -f $(PKGNAME).so $(OBJS) Gmake Lmake ../inst/mapdata/* world2.*

## maps 2.0-14

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: maps
 Title: Draw Geographical Maps
-Version: 2.0-13
-Date: 2003-12-12
+Version: 2.0-14
+Date: 2004-02-04
 Author: Original S code by Richard A. Becker and Allan R. Wilks.
 	R version by Ray Brownrigg <ray@mcs.vuw.ac.nz>
         Enhancements by Thomas P Minka <minka@stat.cmu.edu>

## maps 2.0-15

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: maps
 Title: Draw Geographical Maps
-Version: 2.0-14
-Date: 2004-02-04
+Version: 2.0-15
+Date: 2004-02-12
 Author: Original S code by Richard A. Becker and Allan R. Wilks.
 	R version by Ray Brownrigg <ray@mcs.vuw.ac.nz>
         Enhancements by Thomas P Minka <minka@stat.cmu.edu>

## maps 2.0-18

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: maps
 Title: Draw Geographical Maps
-Version: 2.0-15
-Date: 2004-02-12
+Version: 2.0-18
+Date: 2004-03-03
 Author: Original S code by Richard A. Becker and Allan R. Wilks.
 	R version by Ray Brownrigg <ray@mcs.vuw.ac.nz>
         Enhancements by Thomas P Minka <minka@stat.cmu.edu>

=== src/Makefile ===
#-*- Makefile -*-
.SUFFIXES: .G .L .N .gon .line .n

PKGNAME = maps
CP = cp
RM = rm
ECHO = echo

OBJS = mapget.o		\
	smooth.o	\
	thin.o

GDATA = county.G state.G usa.G nz.G world.G world2.G italy.G france.G
LDATA = county.L state.L usa.L nz.L world.L world2.L italy.L france.L

all: $(PKGNAME).so Gmake Lmake $(LDATA) $(GDATA)

.line.L:
	./Lmake 0 s b ${*}.line ${*}.linestats ../inst/mapdata/${*}.L

.gon.G:
	./Gmake b ${*}.gon ${*}.gonstats ../inst/mapdata/${*}.G ../inst/mapdata/${*}.L
	@$(CP) ${*}.n ../inst/mapdata/${*}.N	# needed here for Mac

$(PKGNAME).so: $(OBJS)
	$(R_HOME)/bin/R CMD SHLIB -o $(PKGNAME).so $(OBJS)

world2.line: world.line
	@$(ECHO) "Converting world to world2"
	$(AWK) -f convert.awk < world.line > world2.line
	@$(CP) world.linestats world2.linestats

world2.gon: world.gon world.n
	@$(CP) world.gon world2.gon
	@$(CP) world.gonstats world2.gonstats
	@$(CP) world.n world2.n

clean:
	$(RM) -f $(PKGNAME).so $(OBJS) Gmake Lmake ../inst/mapdata/* world2.*

## maps 2.0-20

=== DESCRIPTION ===
Package: maps
Title: Draw Geographical Maps
Version: 2.0-20
Date: 2004-04-06
Author: Original S code by Richard A. Becker and Allan R. Wilks.
	R version by Ray Brownrigg <Ray.Brownrigg@mcs.vuw.ac.nz>
        Enhancements by Thomas P Minka <surname@stat.cmu.edu>
Description: Display of maps.  Projection code and larger maps are in
             separate packages (mapproj and mapdata).
Depends: R (>= 1.7.0)
License: GPL2
Maintainer: Ray Brownrigg <Ray.Brownrigg@mcs.vuw.ac.nz>

## maps 2.0-21

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: maps
 Title: Draw Geographical Maps
-Version: 2.0-20
-Date: 2004-04-06
+Version: 2.0-21
+Date: 2004-06-02
 Author: Original S code by Richard A. Becker and Allan R. Wilks.
 	R version by Ray Brownrigg <Ray.Brownrigg@mcs.vuw.ac.nz>
         Enhancements by Thomas P Minka <surname@stat.cmu.edu>
@@ -10,3 +10,4 @@
 Depends: R (>= 1.7.0)
 License: GPL2
 Maintainer: Ray Brownrigg <Ray.Brownrigg@mcs.vuw.ac.nz>
+Packaged: Wed Jun  2 10:40:27 2004; ray

## maps 2.0-22

=== DESCRIPTION ===
Package: maps
Title: Draw Geographical Maps
Version: 2.0-22
Date: 2004-07-19
Author: Original S code by Richard A. Becker and Allan R. Wilks.
	R version by Ray Brownrigg <Ray.Brownrigg@mcs.vuw.ac.nz>
        Enhancements by Thomas P Minka <surname@stat.cmu.edu>
Description: Display of maps.  Projection code and larger maps are in
             separate packages (mapproj and mapdata).
Depends: R (>= 1.7.0)
License: GPL2
Maintainer: Ray Brownrigg <Ray.Brownrigg@mcs.vuw.ac.nz>
Packaged: Mon Jul 19 23:25:53 2004; ray

## maps 2.0-23

=== DESCRIPTION ===
Package: maps
Title: Draw Geographical Maps
Version: 2.0-23
Date: 2004-09-20
Author: Original S code by Richard A. Becker and Allan R. Wilks.
	R version by Ray Brownrigg <Ray.Brownrigg@mcs.vuw.ac.nz>
        Enhancements by Thomas P Minka <surname@stat.cmu.edu>
Description: Display of maps.  Projection code and larger maps are in
             separate packages (mapproj and mapdata).
Depends: R (>= 1.7.0)
License: GPL2
Maintainer: Ray Brownrigg <Ray.Brownrigg@mcs.vuw.ac.nz>
Packaged: Mon Sep 20 10:37:45 2004; ray

## maps 2.0-24

=== DESCRIPTION ===
Package: maps
Title: Draw Geographical Maps
Version: 2.0-24
Date: 2004-10-28
Author: Original S code by Richard A. Becker and Allan R. Wilks.
	R version by Ray Brownrigg <Ray.Brownrigg@mcs.vuw.ac.nz>
        Enhancements by Thomas P Minka <surname@stat.cmu.edu>
Description: Display of maps.  Projection code and larger maps are in
             separate packages (mapproj and mapdata).
Depends: R (>= 1.7.0)
License: GPL2
Maintainer: Ray Brownrigg <Ray.Brownrigg@mcs.vuw.ac.nz>
Packaged: Thu Oct 28 09:15:08 2004; ray

=== src/Makefile ===
--- 
+++ 
@@ -3,7 +3,6 @@
 
 PKGNAME = maps
 CP = cp
-RM = rm
 ECHO = echo
 
 OBJS = mapget.o		\

## maps 2.0-25

=== DESCRIPTION ===
Package: maps
Title: Draw Geographical Maps
Version: 2.0-25
Date: 2004-11-04
Author: Original S code by Richard A. Becker and Allan R. Wilks.
	R version by Ray Brownrigg <Ray.Brownrigg@mcs.vuw.ac.nz>
        Enhancements by Thomas P Minka <surname@stat.cmu.edu>
Description: Display of maps.  Projection code and larger maps are in
             separate packages (mapproj and mapdata).
Depends: R (>= 1.7.0)
License: GPL2
Maintainer: Ray Brownrigg <Ray.Brownrigg@mcs.vuw.ac.nz>
Packaged: Thu Nov  4 10:36:50 2004; ray

## maps 2.0-26

=== DESCRIPTION ===
Package: maps
Title: Draw Geographical Maps
Version: 2.0-26
Date: 2005-01-17
Author: Original S code by Richard A. Becker and Allan R. Wilks.
	R version by Ray Brownrigg <Ray.Brownrigg@mcs.vuw.ac.nz>
        Enhancements by Thomas P Minka <surname@stat.cmu.edu>
Description: Display of maps.  Projection code and larger maps are in
             separate packages (mapproj and mapdata).
Depends: R (>= 1.7.0)
License: GPL2
Maintainer: Ray Brownrigg <Ray.Brownrigg@mcs.vuw.ac.nz>
Packaged: Mon Jan 17 15:34:54 2005; ray

=== src/Makefile ===
#-*- Makefile -*-
.SUFFIXES: .G .L .N .gon .line .name

PKGNAME = maps
CP = cp
ECHO = echo
RM = rm

OBJS = mapget.o		\
	smooth.o	\
	thin.o

GDATA = county.G state.G usa.G nz.G world.G world2.G italy.G france.G
LDATA = county.L state.L usa.L nz.L world.L world2.L italy.L france.L
NDATA = county.N state.N usa.N nz.N world.N world2.N italy.N france.N

.line.L:
	./Lmake 0 s b ${*}.line ${*}.linestats ../inst/mapdata/${*}.L

.gon.G:
	./Gmake b ${*}.gon ${*}.gonstats ../inst/mapdata/${*}.G ../inst/mapdata/${*}.L

.name.N:
	@$(CP) ${*}.name ../inst/mapdata/${*}.N

.PHONY: all gdata ldata

all: $(PKGNAME).so gdata ndata

gdata: Gmake ldata
	$(MAKE) $(GDATA)

ldata: Lmake world2.line
	$(MAKE) $(LDATA)

ndata:
	$(MAKE) $(NDATA)

$(PKGNAME).so: $(OBJS)
	$(R_HOME)/bin/R CMD SHLIB -o $(PKGNAME).so $(OBJS)

world2.line: world.line
	@$(ECHO) "Converting world to world2"
	$(AWK) -f convert.awk < world.line > world2.line
	@$(CP) world.linestats world2.linestats
	@$(CP) world.gon world2.gon
	@$(CP) world.gonstats world2.gonstats
	@$(CP) world.name world2.name

clean:
	$(RM) -f $(PKGNAME).so $(OBJS) Gmake Lmake ../inst/mapdata/* world2.*

## maps 2.0-27

=== DESCRIPTION ===
Package: maps
Title: Draw Geographical Maps
Version: 2.0-27
Date: 2005-04-29
Author: Original S code by Richard A. Becker and Allan R. Wilks.
	R version by Ray Brownrigg <Ray.Brownrigg@mcs.vuw.ac.nz>
        Enhancements by Thomas P Minka <surname@stat.cmu.edu>
Description: Display of maps.  Projection code and larger maps are in
             separate packages (mapproj and mapdata).
Depends: R (>= 1.7.0)
License: GPL2
Maintainer: Ray Brownrigg <Ray.Brownrigg@mcs.vuw.ac.nz>
Packaged: Fri Apr 29 08:17:50 2005; ray

## maps 2.0-28

=== DESCRIPTION ===
Package: maps
Title: Draw Geographical Maps
Version: 2.0-28
Date: 2005-12-19
Author: Original S code by Richard A. Becker and Allan R. Wilks.
	R version by Ray Brownrigg <Ray.Brownrigg@mcs.vuw.ac.nz>
        Enhancements by Thomas P Minka <surname@stat.cmu.edu>
Description: Display of maps.  Projection code and larger maps are in
             separate packages (mapproj and mapdata).
Depends: R (>= 1.7.0)
License: GPL2
Maintainer: Ray Brownrigg <Ray.Brownrigg@mcs.vuw.ac.nz>
Packaged: Mon Dec 19 09:32:14 2005; ray

=== src/Makefile ===
--- 
+++ 
@@ -48,4 +48,4 @@
 	@$(CP) world.name world2.name
 
 clean:
-	$(RM) -f $(PKGNAME).so $(OBJS) Gmake Lmake ../inst/mapdata/* world2.*
+	$(RM) -f $(OBJS) Gmake Lmake ../inst/mapdata/* world2.* $(PKGNAME).s[lo] $(PKGNAME).dylib

## maps 2.0-30

=== DESCRIPTION ===
Package: maps
Title: Draw Geographical Maps
Version: 2.0-30
Date: 2005-12-20
Author: Original S code by Richard A. Becker and Allan R. Wilks.
	R version by Ray Brownrigg <Ray.Brownrigg@mcs.vuw.ac.nz>
        Enhancements by Thomas P Minka <surname@stat.cmu.edu>
Description: Display of maps.  Projection code and larger maps are in
             separate packages (mapproj and mapdata).
Depends: R (>= 1.7.0)
License: GPL2
Maintainer: Ray Brownrigg <Ray.Brownrigg@mcs.vuw.ac.nz>
Packaged: Tue Dec 20 22:26:01 2005; ray

## maps 2.0-31

=== DESCRIPTION ===
Package: maps
Title: Draw Geographical Maps
Version: 2.0-31
Date: 2006-02-07
Author: Original S code by Richard A. Becker and Allan R. Wilks.
	R version by Ray Brownrigg <Ray.Brownrigg@mcs.vuw.ac.nz>
        Enhancements by Thomas P Minka <surname@stat.cmu.edu>
Description: Display of maps.  Projection code and larger maps are in
             separate packages (mapproj and mapdata).
Depends: R (>= 1.7.0)
License: GPL2
Maintainer: Ray Brownrigg <Ray.Brownrigg@mcs.vuw.ac.nz>
Packaged: Tue Feb  7 16:40:59 2006; ray

## maps 2.0-32

=== DESCRIPTION ===
Package: maps
Title: Draw Geographical Maps
Version: 2.0-32
Date: 2006-09-26
Author: Original S code by Richard A. Becker and Allan R. Wilks.
	R version by Ray Brownrigg <Ray.Brownrigg@mcs.vuw.ac.nz>
        Enhancements by Thomas P Minka <surname@stat.cmu.edu>
Description: Display of maps.  Projection code and larger maps are in
             separate packages (mapproj and mapdata).
Depends: R (>= 1.7.0)
Suggests: mapproj
License: GPL2
Maintainer: Ray Brownrigg <Ray.Brownrigg@mcs.vuw.ac.nz>
Packaged: Tue Sep 26 15:24:36 2006; ray

## maps 2.0-33

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: maps
 Title: Draw Geographical Maps
-Version: 2.0-32
-Date: 2006-09-26
+Version: 2.0-33
+Date: 2007-01-29
 Author: Original S code by Richard A. Becker and Allan R. Wilks.
 	R version by Ray Brownrigg <Ray.Brownrigg@mcs.vuw.ac.nz>
         Enhancements by Thomas P Minka <surname@stat.cmu.edu>
@@ -11,4 +11,4 @@
 Suggests: mapproj
 License: GPL2
 Maintainer: Ray Brownrigg <Ray.Brownrigg@mcs.vuw.ac.nz>
-Packaged: Tue Sep 26 15:24:36 2006; ray
+Packaged: Mon Jan 29 09:21:49 2007; ray

## maps 2.0-35

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: maps
 Title: Draw Geographical Maps
-Version: 2.0-33
-Date: 2007-01-29
+Version: 2.0-35
+Date: 2007-02-14
 Author: Original S code by Richard A. Becker and Allan R. Wilks.
 	R version by Ray Brownrigg <Ray.Brownrigg@mcs.vuw.ac.nz>
         Enhancements by Thomas P Minka <surname@stat.cmu.edu>
@@ -11,4 +11,4 @@
 Suggests: mapproj
 License: GPL2
 Maintainer: Ray Brownrigg <Ray.Brownrigg@mcs.vuw.ac.nz>
-Packaged: Mon Jan 29 09:21:49 2007; ray
+Packaged: Wed Feb 14 18:00:41 2007; ray

## maps 2.0-36

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: maps
 Title: Draw Geographical Maps
-Version: 2.0-35
-Date: 2007-02-14
+Version: 2.0-36
+Date: 2007-04-26
 Author: Original S code by Richard A. Becker and Allan R. Wilks.
 	R version by Ray Brownrigg <Ray.Brownrigg@mcs.vuw.ac.nz>
         Enhancements by Thomas P Minka <surname@stat.cmu.edu>
@@ -11,4 +11,4 @@
 Suggests: mapproj
 License: GPL2
 Maintainer: Ray Brownrigg <Ray.Brownrigg@mcs.vuw.ac.nz>
-Packaged: Wed Feb 14 18:00:41 2007; ray
+Packaged: Thu Apr 26 10:10:53 2007; ray

## maps 2.0-37

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: maps
 Title: Draw Geographical Maps
-Version: 2.0-36
-Date: 2007-04-26
+Version: 2.0-37
+Date: 2007-06-14
 Author: Original S code by Richard A. Becker and Allan R. Wilks.
 	R version by Ray Brownrigg <Ray.Brownrigg@mcs.vuw.ac.nz>
         Enhancements by Thomas P Minka <surname@stat.cmu.edu>
@@ -11,4 +11,4 @@
 Suggests: mapproj
 License: GPL2
 Maintainer: Ray Brownrigg <Ray.Brownrigg@mcs.vuw.ac.nz>
-Packaged: Thu Apr 26 10:10:53 2007; ray
+Packaged: Thu Jun 14 14:21:13 2007; ray

## maps 2.0-38

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: maps
 Title: Draw Geographical Maps
-Version: 2.0-37
-Date: 2007-06-14
+Version: 2.0-38
+Date: 2007-09-12
 Author: Original S code by Richard A. Becker and Allan R. Wilks.
 	R version by Ray Brownrigg <Ray.Brownrigg@mcs.vuw.ac.nz>
         Enhancements by Thomas P Minka <surname@stat.cmu.edu>
@@ -11,4 +11,4 @@
 Suggests: mapproj
 License: GPL2
 Maintainer: Ray Brownrigg <Ray.Brownrigg@mcs.vuw.ac.nz>
-Packaged: Thu Jun 14 14:21:13 2007; ray
+Packaged: Wed Sep 12 14:18:10 2007; ray

=== src/Makefile ===
--- 
+++ 
@@ -5,6 +5,8 @@
 CP = cp
 ECHO = echo
 RM = rm
+
+CFLAGS = -g -Wall -pedantic -O6
 
 OBJS = mapget.o		\
 	smooth.o	\
@@ -23,9 +25,9 @@
 .name.N:
 	@$(CP) ${*}.name ../inst/mapdata/${*}.N
 
-.PHONY: all gdata ldata
+.PHONY: all gdata ldata ndata
 
-all: $(PKGNAME).so gdata ndata
+all: gdata ndata $(PKGNAME)$(SHLIB_EXT)
 
 gdata: Gmake ldata
 	$(MAKE) $(GDATA)
@@ -33,11 +35,11 @@
 ldata: Lmake world2.line
 	$(MAKE) $(LDATA)
 
-ndata:
+ndata: world2.line
 	$(MAKE) $(NDATA)
 
-$(PKGNAME).so: $(OBJS)
-	$(R_HOME)/bin/R CMD SHLIB -o $(PKGNAME).so $(OBJS)
+$(PKGNAME)$(SHLIB_EXT): $(OBJS)
+	$(R_HOME)/bin/R CMD SHLIB -o $(PKGNAME)$(SHLIB_EXT) $(OBJS)
 
 world2.line: world.line
 	@$(ECHO) "Converting world to world2"

## maps 2.0-39

=== DESCRIPTION ===
Package: maps
Title: Draw Geographical Maps
Version: 2.0-39
Date: 2007-10-14
Author: Original S code by Richard A. Becker and Allan R. Wilks.
	R version by Ray Brownrigg <Ray.Brownrigg@mcs.vuw.ac.nz>
        Enhancements by Thomas P Minka <surname@stat.cmu.edu>
Description: Display of maps.  Projection code and larger maps are in
             separate packages (mapproj and mapdata).
Depends: R (>= 2.0.0)
LazyLoad: yes
Suggests: mapproj
License: GPL2
Maintainer: Ray Brownrigg <Ray.Brownrigg@mcs.vuw.ac.nz>
Packaged: Sun Oct 14 11:00:16 2007; root

## maps 2.0-40

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: maps
 Title: Draw Geographical Maps
-Version: 2.0-39
-Date: 2007-10-14
+Version: 2.0-40
+Date: 2008-04-17
 Author: Original S code by Richard A. Becker and Allan R. Wilks.
 	R version by Ray Brownrigg <Ray.Brownrigg@mcs.vuw.ac.nz>
         Enhancements by Thomas P Minka <surname@stat.cmu.edu>
@@ -12,4 +12,4 @@
 Suggests: mapproj
 License: GPL2
 Maintainer: Ray Brownrigg <Ray.Brownrigg@mcs.vuw.ac.nz>
-Packaged: Sun Oct 14 11:00:16 2007; root
+Packaged: Thu Apr 17 09:52:34 2008; ray

## maps 2.1-0

=== DESCRIPTION ===
Package: maps
Title: Draw Geographical Maps
Version: 2.1-0
Date: 2009-03-21
Author: Original S code by Richard A. Becker and Allan R. Wilks. R
        version by Ray Brownrigg <Ray.Brownrigg@mcs.vuw.ac.nz>
        Enhancements by Thomas P Minka <surname@stat.cmu.edu>
Description: Display of maps.  Projection code and larger maps are in
        separate packages (mapproj and mapdata).
Depends: R (>= 2.7.0)
LazyLoad: yes
Suggests: mapproj
License: GPL-2
Maintainer: Ray Brownrigg <Ray.Brownrigg@mcs.vuw.ac.nz>
Packaged: Sat Mar 21 20:06:53 2009; ray
Repository: CRAN
Date/Publication: 2009-03-21 09:09:37

## maps 2.1-1

=== DESCRIPTION ===
Package: maps
Title: Draw Geographical Maps
Version: 2.1-1
Date: 2009-10-19
Author: Original S code by Richard A. Becker and Allan R. Wilks. R
        version by Ray Brownrigg <Ray.Brownrigg@mcs.vuw.ac.nz>
        Enhancements by Thomas P Minka <surname@stat.cmu.edu>
Description: Display of maps.  Projection code and larger maps are in
        separate packages (mapproj and mapdata).
Depends: R (>= 2.7.0)
LazyLoad: yes
Suggests: mapproj
License: GPL-2
Maintainer: Ray Brownrigg <Ray.Brownrigg@mcs.vuw.ac.nz>
Packaged: Mon Oct 19 14:16:49 2009; ray
Repository: CRAN
Date/Publication: 2010-02-08 09:03:36

## maps 2.1-2

=== DESCRIPTION ===
Package: maps
Title: Draw Geographical Maps
Version: 2.1-2
Date: 2010-04-20
Author: Original S code by Richard A. Becker and Allan R. Wilks. R
        version by Ray Brownrigg <Ray.Brownrigg@ecs.vuw.ac.nz>
        Enhancements by Thomas P Minka <surname@stat.cmu.edu>
Description: Display of maps.  Projection code and larger maps are in
        separate packages (mapproj and mapdata).
Depends: R (>= 2.7.0)
LazyLoad: yes
Suggests: mapproj
License: GPL-2
Maintainer: Ray Brownrigg <Ray.Brownrigg@ecs.vuw.ac.nz>
Packaged: 2010-04-19 22:35:03 UTC; ray
Repository: CRAN
Date/Publication: 2010-04-20 05:01:50

## maps 2.1-3

=== DESCRIPTION ===
Package: maps
Title: Draw Geographical Maps
Version: 2.1-3
Date: 2010-05-17
Author: Original S code by Richard A. Becker and Allan R. Wilks. R
        version by Ray Brownrigg <Ray.Brownrigg@ecs.vuw.ac.nz>
        Enhancements by Thomas P Minka <surname@stat.cmu.edu>
Description: Display of maps.  Projection code and larger maps are in
        separate packages (mapproj and mapdata).
Depends: R (>= 2.7.0)
LazyLoad: yes
Suggests: mapproj
License: GPL-2
Maintainer: Ray Brownrigg <Ray.Brownrigg@ecs.vuw.ac.nz>
Packaged: 2010-05-17 01:47:32 UTC; ray
Repository: CRAN
Date/Publication: 2010-05-17 09:00:05

## maps 2.1-4

=== DESCRIPTION ===
Package: maps
Title: Draw Geographical Maps
Version: 2.1-4
Date: 2010-05-25
Author: Original S code by Richard A. Becker and Allan R. Wilks. R
        version by Ray Brownrigg <Ray.Brownrigg@ecs.vuw.ac.nz>
        Enhancements by Thomas P Minka <surname@stat.cmu.edu>
Description: Display of maps.  Projection code and larger maps are in
        separate packages (mapproj and mapdata).
Depends: R (>= 2.9.0)
LazyLoad: yes
Suggests: mapproj
License: GPL-2
Maintainer: Ray Brownrigg <Ray.Brownrigg@ecs.vuw.ac.nz>
Packaged: 2010-05-25 03:23:08 UTC; ray
Repository: CRAN
Date/Publication: 2010-05-25 17:09:05

## maps 2.1-5

=== DESCRIPTION ===
Package: maps
Title: Draw Geographical Maps
Version: 2.1-5
Date: 2010-09-24
Author: Original S code by Richard A. Becker and Allan R. Wilks. R
        version by Ray Brownrigg <Ray.Brownrigg@ecs.vuw.ac.nz>
        Enhancements by Thomas P Minka <surname@stat.cmu.edu>
Description: Display of maps.  Projection code and larger maps are in
        separate packages (mapproj and mapdata).
Depends: R (>= 2.9.0)
LazyLoad: yes
Suggests: mapproj
License: GPL-2
Maintainer: Ray Brownrigg <Ray.Brownrigg@ecs.vuw.ac.nz>
Packaged: 2010-09-23 20:55:40 UTC; ray
Repository: CRAN
Date/Publication: 2010-09-24 06:46:08

## maps 2.1-6

=== DESCRIPTION ===
Package: maps
Title: Draw Geographical Maps
Version: 2.1-6
Date: 2011-04-15
Author: Original S code by Richard A. Becker and Allan R. Wilks. R
        version by Ray Brownrigg <Ray.Brownrigg@ecs.vuw.ac.nz>
        Enhancements by Thomas P Minka <surname@stat.cmu.edu>
Description: Display of maps.  Projection code and larger maps are in
        separate packages (mapproj and mapdata).
Depends: R (>= 2.10.0)
LazyLoad: yes
Suggests: mapproj
License: GPL-2
Maintainer: Ray Brownrigg <Ray.Brownrigg@ecs.vuw.ac.nz>
Packaged: 2011-04-15 03:46:26 UTC; ray
Repository: CRAN
Date/Publication: 2011-05-03 07:28:30

=== src/Makefile ===
--- 
+++ 
@@ -4,9 +4,8 @@
 PKGNAME = maps
 CP = cp
 ECHO = echo
-RM = rm
-
-CFLAGS = -g -Wall -pedantic -O6
+RM = rm -f
+MKDIR = mkdir
 
 OBJS = mapget.o		\
 	smooth.o	\
@@ -17,12 +16,14 @@
 NDATA = county.N state.N usa.N nz.N world.N world2.N italy.N france.N
 
 .line.L:
+	@$(MKDIR) -p ../inst/mapdata
 	./Lmake 0 s b ${*}.line ${*}.linestats ../inst/mapdata/${*}.L
 
 .gon.G:
 	./Gmake b ${*}.gon ${*}.gonstats ../inst/mapdata/${*}.G ../inst/mapdata/${*}.L
 
 .name.N:
+	@$(MKDIR) -p ../inst/mapdata
 	@$(CP) ${*}.name ../inst/mapdata/${*}.N
 
 .PHONY: all gdata ldata ndata
@@ -50,4 +51,5 @@
 	@$(CP) world.name world2.name
 
 clean:
-	$(RM) -f $(OBJS) Gmake Lmake ../inst/mapdata/* world2.* $(PKGNAME).s[lo] $(PKGNAME).dylib
+	$(RM) $(OBJS) Gmake Lmake world2.* $(PKGNAME).s[lo] $(PKGNAME).dylib
+	$(RM) -r ../inst

## maps 2.2-1

=== src/Makefile ===
--- 
+++ 
@@ -51,5 +51,5 @@
 	@$(CP) world.name world2.name
 
 clean:
-	$(RM) $(OBJS) Gmake Lmake world2.* $(PKGNAME).s[lo] $(PKGNAME).dylib
-	$(RM) -r ../inst
+	$(RM) $(OBJS) Gmake Lmake world2.* $(PKGNAME).s[lo] $(PKGNAME).dylib *.exe maps.dll
+	$(RM) -r ../inst ../libs

## maps 2.2-2

=== DESCRIPTION ===
Package: maps
Title: Draw Geographical Maps
Version: 2.2-2
Date: 2011-11-09
Author: Original S code by Richard A. Becker and Allan R. Wilks.
	R version by Ray Brownrigg <Ray.Brownrigg@ecs.vuw.ac.nz>.
        Enhancements by Thomas P Minka <surname@stat.cmu.edu>.
Description: Display of maps.  Projection code and larger maps are in
             separate packages (mapproj and mapdata).
Depends: R (>= 2.10.0)
LazyLoad: yes
Suggests: mapproj
License: GPL-2
Maintainer: Ray Brownrigg <Ray.Brownrigg@ecs.vuw.ac.nz>
Packaged: 2011-11-08 23:37:04 UTC; ray
Repository: CRAN
Date/Publication: 2011-11-09 08:03:02

## maps 2.2-3

=== DESCRIPTION ===
Package: maps
Title: Draw Geographical Maps
Version: 2.2-3
Date: 2011-12-12
Author: Original S code by Richard A. Becker and Allan R. Wilks.
	R version by Ray Brownrigg <Ray.Brownrigg@ecs.vuw.ac.nz>.
        Enhancements by Thomas P Minka <surname@stat.cmu.edu>.
Description: Display of maps.  Projection code and larger maps are in
             separate packages (mapproj and mapdata).
Depends: R (>= 2.10.0)
LazyLoad: yes
Suggests: mapproj
License: GPL-2
Maintainer: Ray Brownrigg <Ray.Brownrigg@ecs.vuw.ac.nz>
Packaged: 2011-12-12 02:58:11 UTC; ray
Repository: CRAN
Date/Publication: 2011-12-13 08:36:33

## maps 2.2-4

=== DESCRIPTION ===
Package: maps
Title: Draw Geographical Maps
Version: 2.2-4
Date: 2012-1-12
Author: Original S code by Richard A. Becker and Allan R. Wilks.  R
        version by Ray Brownrigg <Ray.Brownrigg@ecs.vuw.ac.nz>.
        Enhancements by Thomas P Minka <surname@stat.cmu.edu>.
Description: Display of maps.  Projection code and larger maps are in
        separate packages (mapproj and mapdata).
Depends: R (>= 2.10.0)
LazyLoad: yes
Suggests: mapproj
License: GPL-2
Maintainer: Ray Brownrigg <Ray.Brownrigg@ecs.vuw.ac.nz>
Packaged: 2012-01-12 03:19:10 UTC; ray
Repository: CRAN
Date/Publication: 2012-01-12 09:24:38

## maps 2.2-5

=== DESCRIPTION ===
Package: maps
Title: Draw Geographical Maps
Version: 2.2-5
Date: 2012-01-16
Author: Original S code by Richard A. Becker and Allan R. Wilks.  R
        version by Ray Brownrigg <Ray.Brownrigg@ecs.vuw.ac.nz>.
        Enhancements by Thomas P Minka <surname@stat.cmu.edu>.
Description: Display of maps.  Projection code and larger maps are in
        separate packages (mapproj and mapdata).
Depends: R (>= 2.10.0)
LazyLoad: yes
Suggests: mapproj
License: GPL-2
Maintainer: Ray Brownrigg <Ray.Brownrigg@ecs.vuw.ac.nz>
Packaged: 2012-01-15 19:27:26 UTC; ray
Repository: CRAN
Date/Publication: 2012-01-15 20:48:09

## maps 2.2-6

=== DESCRIPTION ===
Package: maps
Title: Draw Geographical Maps
Version: 2.2-6
Date: 2012-05-15
Author: Original S code by Richard A. Becker and Allan R. Wilks.  R
        version by Ray Brownrigg <Ray.Brownrigg@ecs.vuw.ac.nz>.
        Enhancements by Thomas P Minka <surname@stat.cmu.edu>.
Description: Display of maps.  Projection code and larger maps are in
        separate packages (mapproj and mapdata).
Depends: R (>= 2.10.0)
LazyLoad: yes
Suggests: mapproj
License: GPL-2
Maintainer: Ray Brownrigg <Ray.Brownrigg@ecs.vuw.ac.nz>
Packaged: 2012-05-15 01:27:34 UTC; ray
Repository: CRAN
Date/Publication: 2012-05-15 06:38:13

## maps 2.2-8

=== DESCRIPTION ===
Package: maps
Title: Draw Geographical Maps
Version: 2.2-8
Date: 2012-12-05
Author: Original S code by Richard A. Becker and Allan R. Wilks.  R
        version by Ray Brownrigg <Ray.Brownrigg@ecs.vuw.ac.nz>.
        Enhancements by Thomas P Minka <tpminka@media.mit.edu>
Description: Display of maps.  Projection code and larger maps are in
        separate packages (mapproj and mapdata).
Depends: R (>= 2.10.0)
LazyLoad: yes
Enhances: mapproj
License: GPL-2
Maintainer: Ray Brownrigg <Ray.Brownrigg@ecs.vuw.ac.nz>
Packaged: 2012-12-05 02:02:09 UTC; ray
Repository: CRAN
Date/Publication: 2012-12-06 08:58:58

## maps 2.3-0

=== DESCRIPTION ===
Package: maps
Title: Draw Geographical Maps
Version: 2.3-0
Date: 2012-12-11
Author: Original S code by Richard A. Becker and Allan R. Wilks.  R
        version by Ray Brownrigg <Ray.Brownrigg@ecs.vuw.ac.nz>.
        Enhancements by Thomas P Minka <tpminka@media.mit.edu>
Description: Display of maps.  Projection code and larger maps are in
        separate packages (mapproj and mapdata).
Depends: R (>= 2.10.0)
LazyLoad: yes
Suggests: mapproj (>= 1.2-0)
License: GPL-2
Maintainer: Ray Brownrigg <Ray.Brownrigg@ecs.vuw.ac.nz>
Packaged: 2012-12-10 21:55:52 UTC; ray
Repository: CRAN
Date/Publication: 2012-12-11 15:55:28

## maps 2.3-2

=== src/Makefile ===
--- 
+++ 
@@ -11,9 +11,9 @@
 	smooth.o	\
 	thin.o
 
-GDATA = county.G state.G usa.G nz.G world.G world2.G italy.G france.G
-LDATA = county.L state.L usa.L nz.L world.L world2.L italy.L france.L
-NDATA = county.N state.N usa.N nz.N world.N world2.N italy.N france.N
+GDATA = county.G state.G usa.G nz.G world.G world2.G italy.G france.G state.vbm.G state.carto.G
+LDATA = county.L state.L usa.L nz.L world.L world2.L italy.L france.L state.vbm.L state.carto.L
+NDATA = county.N state.N usa.N nz.N world.N world2.N italy.N france.N state.vbm.N state.carto.N
 
 .line.L:
 	@$(MKDIR) -p ../inst/mapdata
@@ -29,6 +29,14 @@
 .PHONY: all gdata ldata ndata
 
 all: gdata ndata $(PKGNAME)$(SHLIB_EXT)
+
+state.carto.L: state.carto.line state.carto.linestats Lmake
+	@$(MKDIR) -p ../inst/mapdata
+	./Lmake 0 p b state.carto.line state.carto.linestats ../inst/mapdata/state.carto.L
+
+state.vbm.L: state.vbm.line state.vbm.linestats Lmake
+	@$(MKDIR) -p ../inst/mapdata
+	./Lmake 0 p b state.vbm.line state.vbm.linestats ../inst/mapdata/state.vbm.L
 
 gdata: Gmake ldata
 	$(MAKE) $(GDATA)

## maps 2.3-3

=== DESCRIPTION ===
Package: maps
Title: Draw Geographical Maps
Version: 2.3-3
Date: 2013-08-08
Author: Original S code by Richard A. Becker and Allan R. Wilks.
	R version by Ray Brownrigg <Ray.Brownrigg@ecs.vuw.ac.nz>.
        Enhancements by Thomas P Minka <tpminka@media.mit.edu>
Description: Display of maps.  Projection code and larger maps are in
             separate packages (mapproj and mapdata).
Depends: R (>= 2.10.0)
LazyLoad: yes
Suggests: mapproj (>= 1.2-0)
License: GPL-2
Maintainer: Ray Brownrigg <Ray.Brownrigg@ecs.vuw.ac.nz>
Packaged: 2013-08-08 04:06:46 UTC; ray
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2013-08-08 08:08:03

## maps 2.3-6

=== DESCRIPTION ===
Package: maps
Title: Draw Geographical Maps
Version: 2.3-6
Date: 2013-09-05
Author: Original S code by Richard A. Becker and Allan R. Wilks.
	R version by Ray Brownrigg <Ray.Brownrigg@ecs.vuw.ac.nz>.
        Enhancements by Thomas P Minka <tpminka@media.mit.edu>
Description: Display of maps.  Projection code and larger maps are in
             separate packages (mapproj and mapdata).
Depends: R (>= 2.10.0)
LazyLoad: yes
Suggests: mapproj (>= 1.2-0)
License: GPL-2
Maintainer: Ray Brownrigg <Ray.Brownrigg@ecs.vuw.ac.nz>
Packaged: 2013-09-04 19:50:53 UTC; ray
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2013-09-06 06:36:40

## maps 2.3-7

=== DESCRIPTION ===
Package: maps
Title: Draw Geographical Maps
Version: 2.3-7
Date: 2014-06-03
Author: Original S code by Richard A. Becker and Allan R. Wilks.
	R version by Ray Brownrigg <Ray.Brownrigg@ecs.vuw.ac.nz>.
        Enhancements by Thomas P Minka <tpminka@media.mit.edu>
Description: Display of maps.  Projection code and larger maps are in
             separate packages (mapproj and mapdata).
Depends: R (>= 2.10.0)
LazyLoad: yes
Suggests: mapproj (>= 1.2-0)
License: GPL-2
Maintainer: Ray Brownrigg <Ray.Brownrigg@ecs.vuw.ac.nz>
Packaged: 2014-06-03 00:23:44 UTC; ray
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2014-06-03 07:13:43

## maps 2.3-9

=== DESCRIPTION ===
Package: maps
Title: Draw Geographical Maps
Version: 2.3-9
Date: 2014-09-22
Author: Original S code by Richard A. Becker and Allan R. Wilks.
	R version by Ray Brownrigg <Ray.Brownrigg@ecs.vuw.ac.nz>.
        Enhancements by Thomas P Minka <tpminka@media.mit.edu>
Description: Display of maps.  Projection code and larger maps are in
             separate packages (mapproj and mapdata).
Depends: R (>= 2.10.0)
LazyLoad: yes
Suggests: mapproj (>= 1.2-0)
License: GPL-2
Maintainer: Ray Brownrigg <Ray.Brownrigg@ecs.vuw.ac.nz>
Packaged: 2014-09-22 03:27:30 UTC; ray
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2014-09-22 08:37:18

=== src/Makefile ===
--- 
+++ 
@@ -59,5 +59,5 @@
 	@$(CP) world.name world2.name
 
 clean:
-	$(RM) $(OBJS) Gmake Lmake world2.* $(PKGNAME).s[lo] $(PKGNAME).dylib *.exe maps.dll
+	$(RM) $(OBJS) Gmake Lmake world2.* $(PKGNAME).s[lo] $(PKGNAME).dylib *.exe maps.dll symbols.rds
 	$(RM) -r ../inst ../libs

## maps 2.3-10

=== DESCRIPTION ===
Package: maps
Title: Draw Geographical Maps
Version: 2.3-10
Date: 2015-07-08
Author: Original S code by Richard A. Becker and Allan R. Wilks.
	R version by Ray Brownrigg <Ray.Brownrigg@ecs.vuw.ac.nz>.
        Enhancements by Thomas P Minka <tpminka@media.mit.edu>
Description: Display of maps.  Projection code and larger maps are in
             separate packages (mapproj and mapdata).
Depends: R (>= 2.14.0)
Imports: graphics, utils
LazyData: yes
Suggests: mapproj (>= 1.2-0), mapdata (>= 2.2-4)
License: GPL-2
Maintainer: Ray Brownrigg <Ray.Brownrigg@ecs.vuw.ac.nz>
NeedsCompilation: yes
Packaged: 2015-07-09 00:40:38 UTC; ray
Repository: CRAN
Date/Publication: 2015-07-09 14:47:52

## maps 2.3-11

=== DESCRIPTION ===
Package: maps
Title: Draw Geographical Maps
Version: 2.3-11
Date: 2015-08-02
Author: Original S code by Richard A. Becker and Allan R. Wilks.
	R version by Ray Brownrigg <Ray.Brownrigg@ecs.vuw.ac.nz>.
        Enhancements by Thomas P Minka <tpminka@media.mit.edu>
Description: Display of maps.  Projection code and larger maps are in
             separate packages (mapproj and mapdata).
Depends: R (>= 2.14.0)
Imports: graphics, utils
LazyData: yes
Suggests: mapproj (>= 1.2-0), mapdata (>= 2.2-4)
License: GPL-2
Maintainer: Alex Deckmyn <alex.deckmyn@meteo.be>
NeedsCompilation: yes
Repository: CRAN
Packaged: 2015-08-03 08:41:09 UTC; alex
Date/Publication: 2015-08-03 11:44:37

## maps 3.0.0

=== DESCRIPTION ===
Package: maps
Title: Draw Geographical Maps
Version: 3.0.0
Date: 2015-09-26
Author: Original S code by Richard A. Becker and Allan R. Wilks.
	R version by Ray Brownrigg.
        Enhancements by Thomas P Minka and Alex Deckmyn.
Description: Display of maps.  Projection code and larger maps are in
             separate packages (mapproj and mapdata).
Depends: R (>= 2.14.0)
Imports: graphics, utils
LazyData: yes
Suggests: mapproj (>= 1.2-0), mapdata (>= 2.2-4)
License: GPL-2
Maintainer: Alex Deckmyn <alex.deckmyn@meteo.be>
NeedsCompilation: yes
Repository: CRAN
Packaged: 2015-09-26 18:54:54 UTC; alex
Date/Publication: 2015-09-27 10:20:20

=== src/Makefile ===
--- 
+++ 
@@ -28,7 +28,7 @@
 
 .PHONY: all gdata ldata ndata
 
-all: gdata ndata $(PKGNAME)$(SHLIB_EXT)
+all: gdata ndata $(PKGNAME)$(SHLIB_EXT) legacy
 
 state.carto.L: state.carto.line state.carto.linestats Lmake
 	@$(MKDIR) -p ../inst/mapdata
@@ -58,6 +58,19 @@
 	@$(CP) world.gonstats world2.gonstats
 	@$(CP) world.name world2.name
 
+# temporarily, we include the old (1990) world map 
+legacy: legacy_world.line Lmake Gmake
+	@$(ECHO) "Creating legacy world databases"
+	$(AWK) -f convert.awk < legacy_world.line > legacy_world2.line
+	./Lmake 0 s b legacy_world.line legacy_world.linestats ../inst/mapdata/legacy_world.L
+	./Lmake 0 s b legacy_world2.line legacy_world.linestats ../inst/mapdata/legacy_world2.L
+	./Gmake b legacy_world.gon legacy_world.gonstats ../inst/mapdata/legacy_world.G ../inst/mapdata/legacy_world.L
+	./Gmake b legacy_world.gon legacy_world.gonstats ../inst/mapdata/legacy_world2.G ../inst/mapdata/legacy_world2.L
+	@$(CP) legacy_world.name ../inst/mapdata/legacy_world.N
+	@$(CP) legacy_world.name ../inst/mapdata/legacy_world2.N
+	$(RM)  legacy_world2.line 
+
+
 clean:
 	$(RM) $(OBJS) Gmake Lmake world2.* $(PKGNAME).s[lo] $(PKGNAME).dylib *.exe maps.dll symbols.rds
-	$(RM) -r ../inst ../libs
+	$(RM) -r ../inst/mapdata ../libs

## maps 3.0.0-1

=== DESCRIPTION ===
Package: maps
Title: Draw Geographical Maps
Version: 3.0.0-1
Date: 2015-09-27
Author: Original S code by Richard A. Becker and Allan R. Wilks.
	R version by Ray Brownrigg.
        Enhancements by Thomas P Minka and Alex Deckmyn.
Description: Display of maps.  Projection code and larger maps are in
             separate packages ('mapproj' and 'mapdata').
Depends: R (>= 2.14.0)
Imports: graphics, utils
LazyData: yes
Suggests: mapproj (>= 1.2-0), mapdata (>= 2.2-4)
License: GPL-2
Maintainer: Alex Deckmyn <alex.deckmyn@meteo.be>
NeedsCompilation: yes
Repository: CRAN
Packaged: 2015-09-27 10:33:40 UTC; alex
Date/Publication: 2015-09-28 09:26:52

=== src/Makefile ===
--- 
+++ 
@@ -61,6 +61,7 @@
 # temporarily, we include the old (1990) world map 
 legacy: legacy_world.line Lmake Gmake
 	@$(ECHO) "Creating legacy world databases"
+	@$(MKDIR) -p ../inst/mapdata
 	$(AWK) -f convert.awk < legacy_world.line > legacy_world2.line
 	./Lmake 0 s b legacy_world.line legacy_world.linestats ../inst/mapdata/legacy_world.L
 	./Lmake 0 s b legacy_world2.line legacy_world.linestats ../inst/mapdata/legacy_world2.L

## maps 3.0.0-2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: maps
 Title: Draw Geographical Maps
-Version: 3.0.0-1
-Date: 2015-09-27
+Version: 3.0.0-2
+Date: 2015-10-02
 Author: Original S code by Richard A. Becker and Allan R. Wilks.
 	R version by Ray Brownrigg.
         Enhancements by Thomas P Minka and Alex Deckmyn.
@@ -15,5 +15,5 @@
 Maintainer: Alex Deckmyn <alex.deckmyn@meteo.be>
 NeedsCompilation: yes
 Repository: CRAN
-Packaged: 2015-09-27 10:33:40 UTC; alex
-Date/Publication: 2015-09-28 09:26:52
+Packaged: 2015-10-02 08:29:37 UTC; dalex
+Date/Publication: 2015-10-02 22:01:25

## maps 3.0.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: maps
 Title: Draw Geographical Maps
-Version: 3.0.0-2
-Date: 2015-10-02
+Version: 3.0.1
+Date: 2015-11-30
 Author: Original S code by Richard A. Becker and Allan R. Wilks.
 	R version by Ray Brownrigg.
         Enhancements by Thomas P Minka and Alex Deckmyn.
@@ -15,5 +15,5 @@
 Maintainer: Alex Deckmyn <alex.deckmyn@meteo.be>
 NeedsCompilation: yes
 Repository: CRAN
-Packaged: 2015-10-02 08:29:37 UTC; dalex
-Date/Publication: 2015-10-02 22:01:25
+Packaged: 2015-12-03 20:17:30 UTC; dalex
+Date/Publication: 2015-12-04 08:40:37

## maps 3.1.0

=== DESCRIPTION ===
Package: maps
Title: Draw Geographical Maps
Version: 3.1.0
Date: 2016-02-11
Author: Original S code by Richard A. Becker and Allan R. Wilks.
	R version by Ray Brownrigg.
        Enhancements by Thomas P Minka and Alex Deckmyn.
Description: Display of maps.  Projection code and larger maps are in
             separate packages ('mapproj' and 'mapdata').
Depends: R (>= 2.14.0)
Imports: graphics, utils
LazyData: yes
Suggests: mapproj (>= 1.2-0), mapdata (>= 2.2-4), sp, maptools
License: GPL-2
Maintainer: Alex Deckmyn <alex.deckmyn@meteo.be>
NeedsCompilation: yes
Repository: CRAN
Packaged: 2016-02-11 19:32:51 UTC; dalex
Date/Publication: 2016-02-13 19:01:15

## maps 3.2.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: maps
 Title: Draw Geographical Maps
-Version: 3.1.0
-Date: 2016-02-11
+Version: 3.2.0
+Date: 2017-06-07
 Author: Original S code by Richard A. Becker and Allan R. Wilks.
 	R version by Ray Brownrigg.
         Enhancements by Thomas P Minka and Alex Deckmyn.
@@ -15,5 +15,5 @@
 Maintainer: Alex Deckmyn <alex.deckmyn@meteo.be>
 NeedsCompilation: yes
 Repository: CRAN
-Packaged: 2016-02-11 19:32:51 UTC; dalex
-Date/Publication: 2016-02-13 19:01:15
+Packaged: 2017-06-07 21:50:04 UTC; alex
+Date/Publication: 2017-06-08 05:00:14 UTC

## maps 3.4.1.1

=== DESCRIPTION ===
Package: maps
Title: Draw Geographical Maps
Version: 3.4.1.1
Date: 2022-10-29
Author: Original S code by Richard A. Becker and Allan R. Wilks.
	R version by Ray Brownrigg.
        Enhancements by Thomas P Minka and Alex Deckmyn.
	Fixes by the CRAN team.
Description: Display of maps.  Projection code and larger maps are in
             separate packages ('mapproj' and 'mapdata').
Depends: R (>= 3.5.0)
Imports: graphics, utils
LazyData: yes
Suggests: mapproj (>= 1.2-0), mapdata (>= 2.3.0), sp, rnaturalearth
License: GPL-2
Maintainer: Alex Deckmyn <alex.deckmyn@meteo.be>
NeedsCompilation: yes
Repository: CRAN
Packaged: 2023-11-02 21:15:41 UTC; ripley
Date/Publication: 2023-11-03 06:10:29 UTC

## maps 3.4.2

=== DESCRIPTION ===
Package: maps
Title: Draw Geographical Maps
Version: 3.4.2
Date: 2023-12-14
Author: Original S code by Richard A. Becker and Allan R. Wilks.
	R version by Ray Brownrigg.
        Enhancements by Thomas P Minka and Alex Deckmyn.
Description: Display of maps.  Projection code and larger maps are in
             separate packages ('mapproj' and 'mapdata').
Depends: R (>= 3.5.0)
Imports: graphics, utils
LazyData: yes
Suggests: mapproj (>= 1.2-0), mapdata (>= 2.3.0), sp, rnaturalearth
License: GPL-2
Maintainer: Alex Deckmyn <alex.deckmyn@meteo.be>
NeedsCompilation: yes
Repository: CRAN
Packaged: 2023-12-15 11:26:58 UTC; alex
Date/Publication: 2023-12-15 12:40:02 UTC

## maps 12.07.4-extras12.04.1

=== debian/changelog ===
maps (12.07.4-extras12.04.1) precise; urgency=low

  * New Release.
  * Update Program icon.

 -- Sigurd Gartmann <sigurdga-ubuntu@sigurdga.no>  Fri, 13 Jul 2012 18:46:06 +0200

=== debian/control ===
Source: maps
Section: python
Priority: extra
Build-Depends: debhelper (>= 8), libglib2.0-bin, python (>= 2.6.6-3~),
 python-distutils-extra (>= 2.10)
Maintainer: Sigurd Gartmann <sigurdga-ubuntu@sigurdga.no>
Standards-Version: 3.9.3
XS-Python-Version: current

Package: maps
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: ${misc:Depends},
 ${python:Depends},
 gir1.2-champlain-0.12,
 gir1.2-gtkchamplain-0.12,
 gir1.2-gtk-3.0,
 gir1.2-glib-2.0,
 gir1.2-clutter-1.0,
 gir1.2-gdkpixbuf-2.0,
 python-lxml,
 gir1.2-gtkclutter-1.0
Description: Maps for Gnome and Ubuntu
 Simple map application for browsing, searching and getting directions. 
 Can also show GPX traces.

=== debian/rules ===
#!/usr/bin/make -f
%:
ifneq ($(shell dh -l | grep -xF translations),)
	dh $@ --with python2,translations
else
	dh $@ --with python2
endif

override_dh_auto_install:
	dh_auto_install -- --install-scripts=/opt/extras.ubuntu.com/maps/bin                 --install-data=/opt/extras.ubuntu.com/maps                 --install-lib=/opt/extras.ubuntu.com/maps

override_dh_python2:
	dh_python2 /opt/extras.ubuntu.com/maps


override_dh_install:
	dh_install
	mkdir -p debian/maps/opt/extras.ubuntu.com/maps/bin
	if [ -x debian/maps/opt/extras.ubuntu.com/maps/maps/maps ]; then mv debian/maps/opt/extras.ubuntu.com/maps/maps/maps debian/maps/opt/extras.ubuntu.com/maps/bin; fi
	if [ -f debian/maps/opt/extras.ubuntu.com/maps/share/applications/maps.desktop ]; then \
		mkdir -p debian/maps/usr/share/applications; \
		mv debian/maps/opt/extras.ubuntu.com/maps/share/applications/maps.desktop debian/maps/usr/share/applications/extras-maps.desktop; \
		rmdir --ignore-fail-on-non-empty debian/maps/opt/extras.ubuntu.com/maps/share/applications; \
		sed -i 's|Exec=[^ ]*|Exec=/opt/extras.ubuntu.com/maps/bin/maps|' debian/maps/usr/share/applications/extras-maps.desktop; \
		sed -i 's|Icon=/usr/|Icon=/opt/extras.ubuntu.com/maps/|' debian/maps/usr/share/applications/extras-maps.desktop; \
	fi
	grep -RlZ 'import gettext' debian/maps/* | xargs -0 -r sed -i 's|\(import\) gettext$$|\1 locale|'
	grep -RlZ 'from gettext import gettext as _' debian/maps/* | xargs -0 -r sed -i 's|from gettext \(import gettext as _\)|from locale \1|'
	grep -RlZ "gettext.textdomain('maps')" debian/maps/* | xargs -0 -r sed -i "s|gettext\(\.textdomain('maps')\)|locale\.bindtextdomain('maps', '/opt/extras.ubuntu.com/maps/share/locale')\nlocale\1|" 
	sed -i "s|__maps_data_directory__ =.*|__maps_data_directory__ = '/opt/extras.ubuntu.com/maps/share/maps/'|" debian/maps/opt/extras.ubuntu.com/maps/maps*/mapsconfig.py
	sed -i 's|        sys.path.insert(0, opt_path)|\0\n    os.putenv("XDG_DATA_DIRS", "%s:%s" % ("/opt/extras.ubuntu.com/maps/share/", os.getenv("XDG_DATA_DIRS", "")))|' debian/maps/opt/extras.ubuntu.com/maps/bin/maps
	if [ -d debian/maps/opt/extras.ubuntu.com/maps/share/glib-2.0/schemas ]; then glib-compile-schemas debian/maps/opt/extras.ubuntu.com/maps/share/glib-2.0/schemas; fi
